# FoundationClasses
TKMath
TColgp

# TColgp_HSequenceOfPnt Class Reference

`#include <TColgp_HSequenceOfPnt.hxx>`

Inheritance diagram for TColgp_HSequenceOfPnt:

[legend]

## Public Member Functions

| TColgp_HSequenceOfPnt ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const gp_Pnt &anItem)
Standard_EXPORT void | Append (const Handle(TColgp_HSequenceOfPnt)&aSequence)
Standard_EXPORT void | Prepend (const gp_Pnt &anItem)
Standard_EXPORT void | Prepend (const Handle(TColgp_HSequenceOfPnt)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const gp_Pnt &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfPnt)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const gp_Pnt &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfPnt)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColgp_HSequenceOfPnt | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const gp_Pnt &anItem)
Standard_EXPORT const gp_Pnt & | Value (const Standard_Integer anIndex) const
Standard_EXPORT gp_Pnt & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColgp_SequenceOfPnt & | Sequence () const
TColgp_SequenceOfPnt & | ChangeSequence ()
Standard_EXPORT Handle_TColgp_HSequenceOfPnt | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColgp_SequenceOfPnt | mySequence

## Constructor & Destructor Documentation

TColgp_HSequenceOfPnt::TColgp_HSequenceOfPnt | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColgp_HSequenceOfPnt::Append | ( | const Handle(TColgp_HSequenceOfPnt)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::Append | ( | const gp_Pnt & | anItem | ) |

TColgp_SequenceOfPnt& TColgp_HSequenceOfPnt::ChangeSequence | ( |  | ) |

Standard_EXPORT gp_Pnt& TColgp_HSequenceOfPnt::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::Clear | ( |  | ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColgp_HSequenceOfPnt::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColgp_HSequenceOfPnt::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfPnt)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const gp_Pnt & | anItem
| ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfPnt)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const gp_Pnt & | anItem
| ) |

Standard_Boolean TColgp_HSequenceOfPnt::IsEmpty | ( |  | ) | const

Standard_Integer TColgp_HSequenceOfPnt::Length | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfPnt::Prepend | ( | const Handle(TColgp_HSequenceOfPnt)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::Prepend | ( | const gp_Pnt & | anItem | ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfPnt::Reverse | ( |  | ) |

const TColgp_SequenceOfPnt& TColgp_HSequenceOfPnt::Sequence | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfPnt::SetValue | ( | const Standard_Integer | anIndex,
|  | const gp_Pnt & | anItem
| ) |

Standard_EXPORT Handle_TColgp_HSequenceOfPnt TColgp_HSequenceOfPnt::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColgp_HSequenceOfPnt TColgp_HSequenceOfPnt::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const gp_Pnt& TColgp_HSequenceOfPnt::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColgp_SequenceOfPnt TColgp_HSequenceOfPnt::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColgp_HSequenceOfPnt.hxx